Groovy 1.7.0

## org.codehaus.groovy.runtime.typehandling
Class FloatingPointMath

    java.lang.Object
      org.codehaus.groovy.runtime.typehandling.NumberMath
          org.codehaus.groovy.runtime.typehandling.FloatingPointMath

    class FloatingPointMath
    extends NumberMath

FloatingPoint (Double and Float) NumberMath operations

author:
  Steve Goetze

Field Summary
`static FloatingPointMath` | `INSTANCE`

Constructor Summary
`private FloatingPointMath()`

Method Summary
`protected Number` | `absImpl(Number number)`
`Number` | `addImpl(Number left, Number right)`
`int` | `compareToImpl(Number left, Number right)`
`Number` | `divideImpl(Number left, Number right)`
`protected Number` | `modImpl(Number left, Number right)`
`Number` | `multiplyImpl(Number left, Number right)`
`Number` | `subtractImpl(Number left, Number right)`
`protected Number` | `unaryMinusImpl(Number left)`

Methods inherited from class NumberMath

abs, absImpl, add, addImpl, and, andImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, xor, xorImpl

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### INSTANCE

    static final FloatingPointMath INSTANCE

Constructor Detail

### FloatingPointMath

    private FloatingPointMath()

Method Detail

### absImpl

    protected Number absImpl(Number number)

### addImpl

    public Number addImpl(Number left, Number right)

### compareToImpl

    public int compareToImpl(Number left, Number right)

### divideImpl

    public Number divideImpl(Number left, Number right)

### modImpl

    protected Number modImpl(Number left, Number right)

### multiplyImpl

    public Number multiplyImpl(Number left, Number right)

### subtractImpl

    public Number subtractImpl(Number left, Number right)

### unaryMinusImpl

    protected Number unaryMinusImpl(Number left)

Copyright © 2003-2009 The Codehaus. All rights reserved.